Package org.globus.common

# Class ChainedIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.globus.common.ChainedIOException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthorizationException`

public class ChainedIOException extends IOException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ChainedIOException()`
Constructs a new instance of `ChainedIOException`.
`ChainedIOException(String detail)`
Constructs a new instance of `ChainedIOException` with a detailed message.
`ChainedIOException(String detail, Throwable ex)`
Constructs a new instance of `ChainedIOException` with a detailed message and a root exception.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getException()`
Returns the root exception that caused this exception.
`String`
`getMessage()`
`void`
`printStackTrace()`
Prints this exception's stack trace to `System.err`.
`void`
`printStackTrace(PrintStream ps)`
Prints this exception's stack trace to a print stream.
`void`
`printStackTrace(PrintWriter pw)`
Prints this exception's stack trace to a print writer.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChainedIOException

public ChainedIOException()
Constructs a new instance of `ChainedIOException`. The root exception and the detailed message are null.

### ChainedIOException

public ChainedIOException(String detail)
Constructs a new instance of `ChainedIOException` with a detailed message. The root exception is null.

Parameters:
  `detail` - A possibly null string containing details of the exception.
See Also:
  - `Throwable.getMessage()`

### ChainedIOException

public ChainedIOException(String detail, Throwable ex)
Constructs a new instance of `ChainedIOException` with a detailed message and a root exception.

Parameters:
  `detail` - A possibly null string containing details of the exception.
  `ex` - A possibly null root exception that caused this exception.
See Also:
  - `Throwable.getMessage()`
  - `getException()`

## Method Details

### getException

public Throwable getException()
Returns the root exception that caused this exception.

Returns:
  The possibly null root exception that caused this exception.

### printStackTrace

public void printStackTrace()
Prints this exception's stack trace to `System.err`. If this exception has a root exception; the stack trace of the root exception is printed to `System.err` instead.

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintStream ps)
Prints this exception's stack trace to a print stream. If this exception has a root exception; the stack trace of the root exception is printed to the print stream instead.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `ps` - The non-null print stream to which to print.

### printStackTrace

public void printStackTrace(PrintWriter pw)
Prints this exception's stack trace to a print writer. If this exception has a root exception; the stack trace of the root exception is printed to the print writer instead.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `pw` - The non-null print writer to which to print.

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`